Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.svggen.font.table
Interface Table

All Known Implementing Classes:
  CmapTable, CvtTable, FpgmTable, GlyfTable, GposTable, GsubTable, HeadTable, HheaTable, HmtxTable, KernTable, LocaTable, MaxpTable, NameTable, Os2Table, PostTable, PrepTable

    public interface Table

Field Summary
`static int` | `BASE`
`static int` | `CFF`
`static int` | `cmap`
`static int` | `cvt`
`static int` | `DSIG`
`static int` | `EBDT`
`static int` | `EBLC`
`static int` | `EBSC`
`static short` | `encodingArabic`
`static short` | `encodingArmenian`
`static short` | `encodingASCII`
`static short` | `encodingBengali`
`static short` | `encodingBurmese`
`static short` | `encodingChinese`
`static short` | `encodingDevanagari`
`static short` | `encodingGeez`
`static short` | `encodingGeorgian`
`static short` | `encodingGreek`
`static short` | `encodingGujarati`
`static short` | `encodingGurmukhi`
`static short` | `encodingHebrew`
`static short` | `encodingISO10646`
`static short` | `encodingISO8859_1`
`static short` | `encodingJapanese`
`static short` | `encodingKannada`
`static short` | `encodingKhmer`
`static short` | `encodingKorean`
`static short` | `encodingLaotian`
`static short` | `encodingMalayalam`
`static short` | `encodingMaldivian`
`static short` | `encodingMongolian`
`static short` | `encodingOriya`
`static short` | `encodingRoman`
`static short` | `encodingRSymbol`
`static short` | `encodingRussian`
`static short` | `encodingSindhi`
`static short` | `encodingSinhalese`
`static short` | `encodingSlavic`
`static short` | `encodingTamil`
`static short` | `encodingTelugu`
`static short` | `encodingThai`
`static short` | `encodingTibetan`
`static short` | `encodingUGL`
`static short` | `encodingUndefined`
`static short` | `encodingUninterp`
`static short` | `encodingVietnamese`
`static int` | `fpgm`
`static int` | `fvar`
`static int` | `gasp`
`static int` | `GDEF`
`static int` | `glyf`
`static int` | `GPOS`
`static int` | `GSUB`
`static int` | `hdmx`
`static int` | `head`
`static int` | `hhea`
`static int` | `hmtx`
`static int` | `JSTF`
`static int` | `kern`
`static short` | `languageArabic`
`static short` | `languageBEL`
`static short` | `languageBGR`
`static short` | `languageCAT`
`static short` | `languageChinese`
`static short` | `languageCSY`
`static short` | `languageDAN`
`static short` | `languageDanish`
`static short` | `languageDEA`
`static short` | `languageDEC`
`static short` | `languageDEL`
`static short` | `languageDES`
`static short` | `languageDEU`
`static short` | `languageDutch`
`static short` | `languageELL`
`static short` | `languageENA`
`static short` | `languageENC`
`static short` | `languageENG`
`static short` | `languageEnglish`
`static short` | `languageENI`
`static short` | `languageENU`
`static short` | `languageENZ`
`static short` | `languageESM`
`static short` | `languageESN`
`static short` | `languageESP`
`static short` | `languageETI`
`static short` | `languageEUQ`
`static short` | `languageFIN`
`static short` | `languageFinnish`
`static short` | `languageFRA`
`static short` | `languageFRB`
`static short` | `languageFRC`
`static short` | `languageFrench`
`static short` | `languageFRL`
`static short` | `languageFRS`
`static short` | `languageGerman`
`static short` | `languageGreek`
`static short` | `languageHebrew`
`static short` | `languageHindi`
`static short` | `languageHUN`
`static short` | `languageIcelandic`
`static short` | `languageISL`
`static short` | `languageITA`
`static short` | `languageItalian`
`static short` | `languageITS`
`static short` | `languageJapanese`
`static short` | `languageLTH`
`static short` | `languageLVI`
`static short` | `languageMaltese`
`static short` | `languageNLB`
`static short` | `languageNLD`
`static short` | `languageNON`
`static short` | `languageNOR`
`static short` | `languageNorwegian`
`static short` | `languagePLK`
`static short` | `languagePortuguese`
`static short` | `languagePTB`
`static short` | `languagePTG`
`static short` | `languageROM`
`static short` | `languageRUS`
`static short` | `languageSHL`
`static short` | `languageSKY`
`static short` | `languageSLV`
`static short` | `languageSpanish`
`static short` | `languageSQI`
`static short` | `languageSVE`
`static short` | `languageSwedish`
`static short` | `languageThai`
`static short` | `languageTRK`
`static short` | `languageTurkish`
`static short` | `languageUKR`
`static short` | `languageUrdu`
`static short` | `languageYugoslavian`
`static int` | `loca`
`static int` | `LTSH`
`static int` | `maxp`
`static int` | `MMFX`
`static int` | `MMSD`
`static int` | `name`
`static short` | `nameCopyrightNotice`
`static short` | `nameFontFamilyName`
`static short` | `nameFontSubfamilyName`
`static short` | `nameFullFontName`
`static short` | `namePostscriptName`
`static short` | `nameTrademark`
`static short` | `nameUniqueFontIdentifier`
`static short` | `nameVersionString`
`static int` | `OS_2`
`static int` | `PCLT`
`static short` | `platformAppleUnicode`
`static short` | `platformISO`
`static short` | `platformMacintosh`
`static short` | `platformMicrosoft`
`static int` | `post`
`static int` | `prep`
`static int` | `VDMX`
`static int` | `vhea`
`static int` | `vmtx`

Method Summary
`int` | `getType()` Get the table type, as a table directory value.

Field Detail

### BASE

    static final int BASE

See Also:
  Constant Field Values

### CFF

    static final int CFF

See Also:
  Constant Field Values

### DSIG

    static final int DSIG

See Also:
  Constant Field Values

### EBDT

    static final int EBDT

See Also:
  Constant Field Values

### EBLC

    static final int EBLC

See Also:
  Constant Field Values

### EBSC

    static final int EBSC

See Also:
  Constant Field Values

### GDEF

    static final int GDEF

See Also:
  Constant Field Values

### GPOS

    static final int GPOS

See Also:
  Constant Field Values

### GSUB

    static final int GSUB

See Also:
  Constant Field Values

### JSTF

    static final int JSTF

See Also:
  Constant Field Values

### LTSH

    static final int LTSH

See Also:
  Constant Field Values

### MMFX

    static final int MMFX

See Also:
  Constant Field Values

### MMSD

    static final int MMSD

See Also:
  Constant Field Values

### OS_2

    static final int OS_2

See Also:
  Constant Field Values

### PCLT

    static final int PCLT

See Also:
  Constant Field Values

### VDMX

    static final int VDMX

See Also:
  Constant Field Values

### cmap

    static final int cmap

See Also:
  Constant Field Values

### cvt

    static final int cvt

See Also:
  Constant Field Values

### fpgm

    static final int fpgm

See Also:
  Constant Field Values

### fvar

    static final int fvar

See Also:
  Constant Field Values

### gasp

    static final int gasp

See Also:
  Constant Field Values

### glyf

    static final int glyf

See Also:
  Constant Field Values

### hdmx

    static final int hdmx

See Also:
  Constant Field Values

### head

    static final int head

See Also:
  Constant Field Values

### hhea

    static final int hhea

See Also:
  Constant Field Values

### hmtx

    static final int hmtx

See Also:
  Constant Field Values

### kern

    static final int kern

See Also:
  Constant Field Values

### loca

    static final int loca

See Also:
  Constant Field Values

### maxp

    static final int maxp

See Also:
  Constant Field Values

### name

    static final int name

See Also:
  Constant Field Values

### prep

    static final int prep

See Also:
  Constant Field Values

### post

    static final int post

See Also:
  Constant Field Values

### vhea

    static final int vhea

See Also:
  Constant Field Values

### vmtx

    static final int vmtx

See Also:
  Constant Field Values

### platformAppleUnicode

    static final short platformAppleUnicode

See Also:
  Constant Field Values

### platformMacintosh

    static final short platformMacintosh

See Also:
  Constant Field Values

### platformISO

    static final short platformISO

See Also:
  Constant Field Values

### platformMicrosoft

    static final short platformMicrosoft

See Also:
  Constant Field Values

### encodingUndefined

    static final short encodingUndefined

See Also:
  Constant Field Values

### encodingUGL

    static final short encodingUGL

See Also:
  Constant Field Values

### encodingRoman

    static final short encodingRoman

See Also:
  Constant Field Values

### encodingJapanese

    static final short encodingJapanese

See Also:
  Constant Field Values

### encodingChinese

    static final short encodingChinese

See Also:
  Constant Field Values

### encodingKorean

    static final short encodingKorean

See Also:
  Constant Field Values

### encodingArabic

    static final short encodingArabic

See Also:
  Constant Field Values

### encodingHebrew

    static final short encodingHebrew

See Also:
  Constant Field Values

### encodingGreek

    static final short encodingGreek

See Also:
  Constant Field Values

### encodingRussian

    static final short encodingRussian

See Also:
  Constant Field Values

### encodingRSymbol

    static final short encodingRSymbol

See Also:
  Constant Field Values

### encodingDevanagari

    static final short encodingDevanagari

See Also:
  Constant Field Values

### encodingGurmukhi

    static final short encodingGurmukhi

See Also:
  Constant Field Values

### encodingGujarati

    static final short encodingGujarati

See Also:
  Constant Field Values

### encodingOriya

    static final short encodingOriya

See Also:
  Constant Field Values

### encodingBengali

    static final short encodingBengali

See Also:
  Constant Field Values

### encodingTamil

    static final short encodingTamil

See Also:
  Constant Field Values

### encodingTelugu

    static final short encodingTelugu

See Also:
  Constant Field Values

### encodingKannada

    static final short encodingKannada

See Also:
  Constant Field Values

### encodingMalayalam

    static final short encodingMalayalam

See Also:
  Constant Field Values

### encodingSinhalese

    static final short encodingSinhalese

See Also:
  Constant Field Values

### encodingBurmese

    static final short encodingBurmese

See Also:
  Constant Field Values

### encodingKhmer

    static final short encodingKhmer

See Also:
  Constant Field Values

### encodingThai

    static final short encodingThai

See Also:
  Constant Field Values

### encodingLaotian

    static final short encodingLaotian

See Also:
  Constant Field Values

### encodingGeorgian

    static final short encodingGeorgian

See Also:
  Constant Field Values

### encodingArmenian

    static final short encodingArmenian

See Also:
  Constant Field Values

### encodingMaldivian

    static final short encodingMaldivian

See Also:
  Constant Field Values

### encodingTibetan

    static final short encodingTibetan

See Also:
  Constant Field Values

### encodingMongolian

    static final short encodingMongolian

See Also:
  Constant Field Values

### encodingGeez

    static final short encodingGeez

See Also:
  Constant Field Values

### encodingSlavic

    static final short encodingSlavic

See Also:
  Constant Field Values

### encodingVietnamese

    static final short encodingVietnamese

See Also:
  Constant Field Values

### encodingSindhi

    static final short encodingSindhi

See Also:
  Constant Field Values

### encodingUninterp

    static final short encodingUninterp

See Also:
  Constant Field Values

### encodingASCII

    static final short encodingASCII

See Also:
  Constant Field Values

### encodingISO10646

    static final short encodingISO10646

See Also:
  Constant Field Values

### encodingISO8859_1

    static final short encodingISO8859_1

See Also:
  Constant Field Values

### languageSQI

    static final short languageSQI

See Also:
  Constant Field Values

### languageEUQ

    static final short languageEUQ

See Also:
  Constant Field Values

### languageBEL

    static final short languageBEL

See Also:
  Constant Field Values

### languageBGR

    static final short languageBGR

See Also:
  Constant Field Values

### languageCAT

    static final short languageCAT

See Also:
  Constant Field Values

### languageSHL

    static final short languageSHL

See Also:
  Constant Field Values

### languageCSY

    static final short languageCSY

See Also:
  Constant Field Values

### languageDAN

    static final short languageDAN

See Also:
  Constant Field Values

### languageNLD

    static final short languageNLD

See Also:
  Constant Field Values

### languageNLB

    static final short languageNLB

See Also:
  Constant Field Values

### languageENU

    static final short languageENU

See Also:
  Constant Field Values

### languageENG

    static final short languageENG

See Also:
  Constant Field Values

### languageENA

    static final short languageENA

See Also:
  Constant Field Values

### languageENC

    static final short languageENC

See Also:
  Constant Field Values

### languageENZ

    static final short languageENZ

See Also:
  Constant Field Values

### languageENI

    static final short languageENI

See Also:
  Constant Field Values

### languageETI

    static final short languageETI

See Also:
  Constant Field Values

### languageFIN

    static final short languageFIN

See Also:
  Constant Field Values

### languageFRA

    static final short languageFRA

See Also:
  Constant Field Values

### languageFRB

    static final short languageFRB

See Also:
  Constant Field Values

### languageFRC

    static final short languageFRC

See Also:
  Constant Field Values

### languageFRS

    static final short languageFRS

See Also:
  Constant Field Values

### languageFRL

    static final short languageFRL

See Also:
  Constant Field Values

### languageDEU

    static final short languageDEU

See Also:
  Constant Field Values

### languageDES

    static final short languageDES

See Also:
  Constant Field Values

### languageDEA

    static final short languageDEA

See Also:
  Constant Field Values

### languageDEL

    static final short languageDEL

See Also:
  Constant Field Values

### languageDEC

    static final short languageDEC

See Also:
  Constant Field Values

### languageELL

    static final short languageELL

See Also:
  Constant Field Values

### languageHUN

    static final short languageHUN

See Also:
  Constant Field Values

### languageISL

    static final short languageISL

See Also:
  Constant Field Values

### languageITA

    static final short languageITA

See Also:
  Constant Field Values

### languageITS

    static final short languageITS

See Also:
  Constant Field Values

### languageLVI

    static final short languageLVI

See Also:
  Constant Field Values

### languageLTH

    static final short languageLTH

See Also:
  Constant Field Values

### languageNOR

    static final short languageNOR

See Also:
  Constant Field Values

### languageNON

    static final short languageNON

See Also:
  Constant Field Values

### languagePLK

    static final short languagePLK

See Also:
  Constant Field Values

### languagePTB

    static final short languagePTB

See Also:
  Constant Field Values

### languagePTG

    static final short languagePTG

See Also:
  Constant Field Values

### languageROM

    static final short languageROM

See Also:
  Constant Field Values

### languageRUS

    static final short languageRUS

See Also:
  Constant Field Values

### languageSKY

    static final short languageSKY

See Also:
  Constant Field Values

### languageSLV

    static final short languageSLV

See Also:
  Constant Field Values

### languageESP

    static final short languageESP

See Also:
  Constant Field Values

### languageESM

    static final short languageESM

See Also:
  Constant Field Values

### languageESN

    static final short languageESN

See Also:
  Constant Field Values

### languageSVE

    static final short languageSVE

See Also:
  Constant Field Values

### languageTRK

    static final short languageTRK

See Also:
  Constant Field Values

### languageUKR

    static final short languageUKR

See Also:
  Constant Field Values

### languageEnglish

    static final short languageEnglish

See Also:
  Constant Field Values

### languageFrench

    static final short languageFrench

See Also:
  Constant Field Values

### languageGerman

    static final short languageGerman

See Also:
  Constant Field Values

### languageItalian

    static final short languageItalian

See Also:
  Constant Field Values

### languageDutch

    static final short languageDutch

See Also:
  Constant Field Values

### languageSwedish

    static final short languageSwedish

See Also:
  Constant Field Values

### languageSpanish

    static final short languageSpanish

See Also:
  Constant Field Values

### languageDanish

    static final short languageDanish

See Also:
  Constant Field Values

### languagePortuguese

    static final short languagePortuguese

See Also:
  Constant Field Values

### languageNorwegian

    static final short languageNorwegian

See Also:
  Constant Field Values

### languageHebrew

    static final short languageHebrew

See Also:
  Constant Field Values

### languageJapanese

    static final short languageJapanese

See Also:
  Constant Field Values

### languageArabic

    static final short languageArabic

See Also:
  Constant Field Values

### languageFinnish

    static final short languageFinnish

See Also:
  Constant Field Values

### languageGreek

    static final short languageGreek

See Also:
  Constant Field Values

### languageIcelandic

    static final short languageIcelandic

See Also:
  Constant Field Values

### languageMaltese

    static final short languageMaltese

See Also:
  Constant Field Values

### languageTurkish

    static final short languageTurkish

See Also:
  Constant Field Values

### languageYugoslavian

    static final short languageYugoslavian

See Also:
  Constant Field Values

### languageChinese

    static final short languageChinese

See Also:
  Constant Field Values

### languageUrdu

    static final short languageUrdu

See Also:
  Constant Field Values

### languageHindi

    static final short languageHindi

See Also:
  Constant Field Values

### languageThai

    static final short languageThai

See Also:
  Constant Field Values

### nameCopyrightNotice

    static final short nameCopyrightNotice

See Also:
  Constant Field Values

### nameFontFamilyName

    static final short nameFontFamilyName

See Also:
  Constant Field Values

### nameFontSubfamilyName

    static final short nameFontSubfamilyName

See Also:
  Constant Field Values

### nameUniqueFontIdentifier

    static final short nameUniqueFontIdentifier

See Also:
  Constant Field Values

### nameFullFontName

    static final short nameFullFontName

See Also:
  Constant Field Values

### nameVersionString

    static final short nameVersionString

See Also:
  Constant Field Values

### namePostscriptName

    static final short namePostscriptName

See Also:
  Constant Field Values

### nameTrademark

    static final short nameTrademark

See Also:
  Constant Field Values

Method Detail

### getType

    int getType()

  Get the table type, as a table directory value.

  Returns:
    The table type

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.